package com.yeejoin.equipmanage.common.enums;
/**
 * <pre>
 * 
 * </pre>
 *
 * @author as-chennan
 * @version ScanTypeEnum.java v0.1  
 * @time 2017年7月21日 下午3:16:17
 */
public enum ScanTypeEnum {
	
	
	SEARCH("Search", "扫码")   //扫码
	
	,EQUIPMENT_INSTOCK("equipment_beputinstorage","2") 
	,EQUIPMENT_OUTSTOCK("equipment_deliveryofcargofromstorage", "6")
	,EQUIPMENT_LOSSOUTSTOCK("equipment_lossoutstock","4")
	,EQUIPMENT_MAINTENANCE("equipment_maintenance", "装备保养")  
	,EQUIPMENT_REPAIR("equipment_repair", "装备维修")  
	,EQUIPMENT_REPAIRCOMPLETE("equipment_repaircomplete", "装备维修完成") 
	,EQUIPMENT_SCRAP("equipment_scrap", "装备报废") 
	,EQUIPMENT_STOCK("equipment_stock", "库存详情")
	,INVENTORY("Inventory", "")    // ??
	,DISPLACEMENT("Displacement", "")  // ??
	,EQUIP_BIND("equipment_bindingrfid","装备绑定rfid")
	
	,CAR_LOAD("car_load","车辆装载")
	,CAR_UNINSTALL("car_uninstall","车辆卸载")
	,CAR_FILLING("car_filling", "药剂灌装")
	,CAR_LOSS("car_loss", "药剂耗损")
	,CAR_MAINTENANCE("car_maintenance", "车辆保养")
	,CAR_REPAIR("car_repair", "车辆维修")
	,CAR_REPAIRCOMPLETE("car_repaircomplete", "车辆维修完成")
	,CAR_SCRAP("car_scrap", "车辆报废")
	,CAR_INFORMATION("car_information", "车辆信息")
	
	,AGENT_BEPUTINSTORAGE("agent_beputinstorage", "灭火药剂入库")
	,AGENT_DELIVERYOFCARGOFROMSTORAGE("agent_deliveryofcargofromstorage", "灭火药剂出库")
	,AGENT_SCRAP("agent_scrap","灭火药剂报废")
	,AGENT_STOCK("agent_stock", "灭火药剂库存信息");
	
	
	private String type;
	private String code;
	
	private ScanTypeEnum(String type, String code) {
		this.setType(type);
		this.code = code;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
	
	public static ScanTypeEnum getEnum(String code)
	{
		for (ScanTypeEnum scanTypeEnum : ScanTypeEnum.values())
		{
			if (scanTypeEnum.getType().equals(code))
			{
				return scanTypeEnum;

			}
		}
		return null;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}
}
